#!/bin/ksh
#
#	OPCHECK.KSH
#	All Rights Reserved 1992 (C)
#
case $1 in
-s) shift;;                    # $2 $3 $4 $5
*) ;;
esac

export PATH=".:$PATH:${CMSPATH}/bin"

#echo $@
function _opt1
{
	case $1 in
	[a-z]*.c) ;;
	*) #echo "ソースファイルの名前がありません" ;;
	esac
}
function _opt2
{
	case $2 in
	"") ;;
	*) #echo "ＣＭＳユーザ名がありません" ;;
	esac
}
function _opt3
{
	case $3 in
	1|2|3|4|5|6|7|8|9|10);;
	*) #echo "バージョン番号は 1 - 10 を指定します" ;;
	esac
}
function _opt4
{
	case $4 in
	0[1-9]|[1][0-9]|[2][0-9]|[3][0-9]|[4][0-9]|[5][0-9]|[6][0-9]|[7][0-9]|[8][0-9]|[9][0-9]) ;;
	*) #echo "リビジョン番号は: 00 - 99 を指定します" ;;
	esac
}
function _opt5
{
	case $5 in
	0[1-9]|[1][0-9]|[2][0-9]|[3][0-9]|[4][0-9]|[5][0-9]|[6][0-9]|[7][0-9]|[8][0-9]|[9][0-9]) ;;
	*) #echo "MR number: 00 - 99";;
	esac
}

alias opt1='_opt1'
alias opt2='_opt2'
alias opt3='_opt3'
alias opt4='_opt4'
alias opt5='_opt5'
alias opt5='_opt6'
alias opt5='_opt7'
alias opt5='_opt8'
alias opt5='_opt9'
alias opt5='_opt10'

case $# in
1) opt1;exit 0 ;;
2) opt1;opt2;exit 0 ;;
3) opt1;opt2;opt3;exit 0 ;;
4) opt1;opt2;opt3;opt4;exit 0 ;;
5) opt1;opt2;opt3;opt4;opt5;exit 0 ;;
6) opt1;opt2;opt3;opt4;opt5;opt6;exit 0 ;;
7) opt1;opt2;opt3;opt4;opt5;opt6;opt7;exit 0 ;;
8) opt1;opt2;opt3;opt4;opt5;opt6;opt7;opt8;exit 0 ;;
9) opt1;opt2;opt3;opt4;opt5;opt6;opt7;opt8;opt9;exit 0 ;;
10) opt1;opt2;opt3;opt4;opt5;opt6;opt7;opt8;opt9;opt10;exit 0 ;;
*) echo "Usage: $0 [ -s ]op-1 op-2 op-3 op-4 op-5 op-6 op-7 op-8 op-9 op-10"; exit 0 ;;
esac
